Subject: Re: OH spanish updates
From: <[email-masked]>
To: <[email-masked]>
Date: Mon, 15 Jan 2007 14:58:24 EST

Hi Mike,
I went over everything and made the necessary changes. I am emailing it  back 
to you and just in case I am also sending it in a floppy with the girls  
tomorrow. emailme back if you got it.
                                                 Have a gret day,
                                                                Charo